Can't build on MacOS 12

I just tried to build brahman, but it seems that the indicated QT 5.12.x is too old for build tools in Monterey. When trying to build it says it's not been tested on these new tools and in the end there are loads of error messages. So I've tried it with QT 6.2.2 which I installed via Homebrew. This ends up in a lot of other error messages (I won't go into detail here).

Are there any updated instructions on building on MacOS Monterey, or is that just simply not supported?

Comments

  • Currently the code won't build on Qt6. Mainly due to the removal of "controls1". Soon, i am to start migrating to Qt6 which will involve re-writing several UI components.

    For now, you have to use 5.X series.

  • Worse still, my Mac is too old to run Monterey. I'm actually waiting for the mac 27" to ship with new silicon. As, pretty soon, that will be a requirement.

  • I see, yes, I'm also waiting on that new iMac. I was hoping to see an announcement on the March 8th keynote, but rumors predict it won't come before WWDC.

    Anyway, I just tried with Qt5.15.2, being the latest 5.x version released very recently. But that one also can't cope with the nex XCode tools and stops after half a minute with a number of error messages.

    I guess I'll wait for an update of brahman then. It's not like I actually have time to write an IF anyway.

    Thanks for the info, though.

Sign In or Register to comment.